CriteriaExpression.ColumnPredicateExpression
Keywords: net.corda.core.node.services.vault.CriteriaExpression.ColumnPredicateExpression class
Date: 2023-09-18

net.corda.core.node.services.vault

## Class CriteriaExpression.ColumnPredicateExpression<O,C>

- net.corda.core.node.services.vault.CriteriaExpression<O,T>
- - net.corda.core.node.services.vault.CriteriaExpression.ColumnPredicateExpression<O,C>

- Enclosing class:
    CriteriaExpression<O,T>

      public static class CriteriaExpression.ColumnPredicateExpression<O,C>
      extends CriteriaExpression<O,T>

- - ### Constructor Detail

    - #### ColumnPredicateExpression

          public ColumnPredicateExpression(@NotNull
                                           Column<O,? extends C> column,
                                           @NotNull
                                           ColumnPredicate<C> predicate)

  - ### Method Detail

    - #### getColumn

          @NotNull
          public Column<O,C> getColumn()

    - #### getPredicate

          @NotNull
          public ColumnPredicate<C> getPredicate()

    - #### component1

          @NotNull
          public Column<O,C> component1()

    - #### component2

          @NotNull
          public ColumnPredicate<C> component2()

    - #### copy

          @NotNull
          public net.corda.core.node.services.vault.CriteriaExpression.ColumnPredicateExpression<O,C> copy(@NotNull
                                                                                                                    Column<O,? extends C> column,
                                                                                                                    @NotNull
                                                                                                                    ColumnPredicate<C> predicate)

    - #### toString

          @NotNull
          public java.lang.String toString()

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(@Nullable
                                java.lang.Object p)